Index: jobvista-frontend/src/views/profiles/RecruiterEditProfile.js
===================================================================
--- jobvista-frontend/src/views/profiles/RecruiterEditProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/profiles/RecruiterEditProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,251 @@
+import {useDispatch, useSelector} from "react-redux";
+import React, {useEffect, useState} from "react";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+import * as yup from "yup";
+import {useForm} from "react-hook-form";
+import {yupResolver} from "@hookform/resolvers/yup";
+
+// Toast notification
+import 'react-toastify/dist/ReactToastify.css';
+import { toast, ToastContainer } from 'react-toastify';
+import {notifyLogoChange, notifyProfileEdit} from "../../utils/toastUtils";
+export const RecruiterEditProfile = () => {
+
+    const dispatch = useDispatch();
+    const auth = useSelector(state => (state.auth.currentUser))
+
+    const [recruiterDetails, setRecruiterDetails] = useState(null);
+
+    let logosState = useSelector(state => state.images.logos)
+    const [logoDispatched, setLogoDispatched] = useState(false)
+    const [logoFile, setLogoFile] = useState(null);
+    const [logoPreview, setLogoPreview] = useState(null);
+    const [logoView, setLogoView] = useState(null);
+
+
+    useEffect(() => {
+        if (auth) {
+            dispatch(RecruiterActions.fetchRecruiterEditDetailsById(auth.id, (success, response) => {
+                if (success) {
+                    setRecruiterDetails(response.data)
+                }
+            }))
+        }
+    }, [auth]);
+
+    useEffect(() => {
+        if (auth.id) {
+            if (!logoDispatched && !logosState[auth.id]) {
+                dispatch(RecruiterActions.downloadLogo(auth.id, (success, response) => {
+                    if (success) {
+                        setLogoView(response)
+                        setLogoDispatched(true)
+                    }
+                }))
+                console.log("LOGO GET")
+            } else {
+                setLogoView(logosState[auth.id])
+                console.log("LOGO STATE")
+            }
+        }
+
+    }, [auth])
+
+    const schema = yup.object().shape({
+        email: yup.string().required("Please enter your email"),
+        companyName: yup.string().required("Please enter your company name"),
+        companyDescription: yup.string(),
+        contactEmail: yup.string().required("Please enter your contact email"),
+        contactPhoneNumber: yup.string().required("Please enter your contact phone number"),
+        receptionist: yup.string(),
+    })
+
+    const {register, handleSubmit, control, formState: {errors}} = useForm({
+        resolver: yupResolver(schema),
+    });
+
+
+    const editRecruiterDetails = async (values) => {
+        try {
+            dispatch(RecruiterActions.editRecruiterDetailsById(
+                {
+                    email: values.email,
+                    companyName: values.companyName,
+                    companyDescription: values.companyDescription,
+                    contactEmail: values.contactEmail,
+                    contactPhoneNumber: values.contactPhoneNumber,
+                    receptionist: values.receptionist,
+
+                }, auth.id, (success, response) => {
+                    if (success) {
+                        console.log("Recruiter details edited")
+                        notifyProfileEdit()
+                        //window.location.reload();
+                    }
+                }
+            ))
+        } catch (err) {
+            console.error(err)
+        }
+    }
+
+    const handleButtonClick = () => {
+        document.getElementById('logo-upload-input').click();
+    };
+    const handleLogoChange = (event) => {
+        const file = event.target.files[0];
+        if (file && (file.type === 'image/png' || file.type === 'image/jpeg')) {
+            setLogoFile(file);
+            setLogoPreview(URL.createObjectURL(file));
+        }
+        event.target.value = null;
+    };
+
+    const handleLogoUpload = async () => {
+        try {
+            const formData = new FormData();
+            formData.append("recruiterId", auth.id);
+            formData.append("logoFile", logoFile);
+
+            dispatch(RecruiterActions.submitLogo(formData, (success, response) => {
+                if (success) {
+                    //console.log("Logo uploaded successfully")
+                    notifyLogoChange()
+                    setLogoPreview(null)
+                    setLogoView(URL.createObjectURL(logoFile))
+                }
+            }))
+
+        } catch (error) {
+            console.error(error)
+        }
+    }
+
+    const handleCancelUpload = () => {
+        setLogoFile(null)
+        setLogoPreview(null)
+        console.log(logoPreview)
+    }
+
+    return (<div className="my-workspace">
+            {logoPreview && (
+                <div className="confirmation-bar">
+                    <div className="confirmation-bar-buttons">
+                        <button className="cancel-changes" onClick={handleCancelUpload}>Cancel</button>
+                        <button className="save-changes" onClick={handleLogoUpload}>Save changes</button>
+
+                    </div>
+                </div>
+            )}
+
+            <div className="custom-container no-additional-margin">
+                <div className="photo-box">
+                    <div>
+                        <img
+                            src="/images/default-company-banner.jpg"
+                            className="company-banner"
+                            alt="Company Banner"
+                        />
+                        {logoPreview ? <>
+                            <img
+                                src={logoPreview}
+                                className="company-logo"
+                                alt=""
+                                width={200} height={200}
+                            />
+                        </> : <>
+                            <img
+                                // loading gif
+                                src={logoView}
+                                className="company-logo"
+                                alt=""
+                                width={200} height={200}
+                            />
+                        </>}
+                    </div>
+
+                    <div className="info-tab">
+                        <h3>{recruiterDetails && recruiterDetails.companyName}</h3>
+                    </div>
+
+                    <div className="edit-buttons">
+                        <input
+                            type="file"
+                            id="logo-upload-input"
+                            accept="image/png, image/jpeg"
+                            onChange={handleLogoChange}
+                            style={{display: 'none'}}
+                        />
+                        <button onClick={handleButtonClick}>
+                            <i className="fa-solid fa-camera"></i> Change logo
+                        </button>
+                        <button><i className="fa-solid fa-panorama"></i> Change cover photo</button>
+                    </div>
+
+                </div>
+
+
+                {/*<i className="fa-solid fa-circle-exclamation">*/}
+                {recruiterDetails && (
+                    <div className="floating-wrap">
+                        <h5>Company details</h5>
+                        <form onSubmit={handleSubmit(editRecruiterDetails)}>
+                            <div className="row">
+                                <div className="col-md-6">
+                                    <div className="form-floating mb-3">
+                                        <input type="text" className="form-control" defaultValue={recruiterDetails.email} {...register("email")}
+                                               placeholder="David"/>
+                                        <label htmlFor="floatingFirstName">Email address</label>
+                                        <p className="error-message">{errors.email?.message}</p>
+                                    </div>
+
+                                    <div className="form-floating mb-3">
+                                        <input type="text" className="form-control" defaultValue={recruiterDetails.contactEmail} {...register("contactEmail")}
+                                               placeholder="David"/>
+                                        <label htmlFor="floatingFirstName">Contact email address</label>
+                                        <p className="error-message">{errors.contactEmail?.message}</p>
+                                    </div>
+
+
+                                    <div className="form-floating mb-3">
+                                        <input type="text" className="form-control" defaultValue={recruiterDetails.contactPhoneNumber} {...register("contactPhoneNumber")}
+                                               placeholder="David"/>
+                                        <label htmlFor="floatingFirstName">Contact phone number</label>
+                                        <p className="error-message">{errors.contactPhoneNumber?.message}</p>
+                                    </div>
+
+                                    <div className="form-floating mb-3">
+                                        <input type="text" className="form-control" defaultValue={recruiterDetails.receptionist} {...register("receptionist")}
+                                               placeholder="David"/>
+                                        <label htmlFor="floatingFirstName">Receptionist</label>
+                                        <p className="error-message">{errors.receptionist?.message}</p>
+                                    </div>
+                                </div>
+                                <div className="col-md-6">
+                                    <div className="form-floating mb-3">
+                                        <input type="text" className="form-control" defaultValue={recruiterDetails.companyName} {...register("companyName")}
+                                               placeholder="David"/>
+                                        <label htmlFor="floatingCompanyName">Company name</label>
+                                        <p className="error-message">{errors.companyName?.message}</p>
+                                    </div>
+
+                                    <div className="form-floating mb-3">
+                                <textarea placeholder="Company description" defaultValue={recruiterDetails.companyDescription} className="form-control custom-text-area"
+                                          name="" id="" cols="30" rows="9" {...register("companyDescription")}></textarea>
+                                        <label htmlFor="floatingCompanyName">Company description</label>
+                                    </div>
+
+                                </div>
+                            </div>
+                            <div className="d-flex justify-content-end">
+                                <button className="blue-submit-button" type="submit">Save changes</button>
+                            </div>
+                        </form>
+                    </div>
+                )}
+                {/*<div className="line-separator"></div>*/}
+            </div>
+        </div>
+
+    )
+}
Index: jobvista-frontend/src/views/profiles/RecruiterProfile.js
===================================================================
--- jobvista-frontend/src/views/profiles/RecruiterProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/profiles/RecruiterProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,193 @@
+import "../job_advertisements/JobAdvertisements.css"
+import {useDispatch, useSelector} from "react-redux";
+import {useEffect, useState} from "react";
+import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
+import {formatRelativeTime, sortElementsBy} from "../../utils/utils";
+import {Link} from "react-router-dom";
+import JobType from "../../enumerations/JobType";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+
+import {useParams} from "react-router";
+
+
+export const RecruiterProfile = () => {
+
+    const dispatch = useDispatch();
+    const {id} = useParams();
+    const auth = useSelector(state => (state.auth.currentUser))
+
+    const [jobAdvertisementsByRecruiter, setJobAdvertisementsByRecruiter] = useState([]);
+    const [recruiterDetails, setRecruiterDetails] = useState(null);
+
+    let logosState = useSelector(state => state.images.logos)
+    const [logoDispatched, setLogoDispatched] = useState(false)
+    const [logoView, setLogoView] = useState(null);
+
+    const [activeJobListingsCount, setActiveJobListingsCount] = useState(0);
+
+
+    useEffect(() => {
+
+        JobAdvertisementActions.fetchRecruiterDetailsById(id, (success, response) => {
+            if (success) {
+                setRecruiterDetails(response.data)
+            }
+        })
+
+    }, []);
+
+    useEffect(() => {
+        if (id) {
+            if (!logoDispatched && !logosState[id]) {
+                dispatch(RecruiterActions.downloadLogo(id, (success, response) => {
+                    if (success) {
+                        setLogoView(response)
+                        setLogoDispatched(true)
+                    }
+                }))
+            } else {
+                setLogoView(logosState[id])
+            }
+        }
+
+    }, [auth])
+
+    useEffect(() => {
+
+        dispatch(JobAdvertisementActions.fetchJobAdvertisementsByRecruiterProfile(id, (success, response) => {
+            if (success && response.data.length > 0) {
+                setJobAdvertisementsByRecruiter(sortElementsBy(response.data, "postedOn"))
+                setActiveJobListingsCount(countActiveJobListings(response.data));
+            }
+        }))
+    }, [])
+
+
+    function countActiveJobListings(jobAds) {
+        if (jobAds.length > 0) {
+            const activeJobListings = jobAds.filter(job => job.active)
+            return activeJobListings.length;
+        }
+        return 0;
+    }
+
+
+    return (<div className="my-workspace">
+            <div className="custom-container no-additional-margin">
+                <div className="photo-box">
+                    <div>
+                        <img
+                            src="/images/default-company-banner.jpg"
+                            className="company-banner"
+                            alt="Company Banner"
+                        />
+                        <img
+                            // loading gif
+                            src={logoView}
+                            className="company-logo"
+                            alt=""
+                            width={200} height={200}
+                        />
+
+                    </div>
+
+                    <div className="info-tab">
+                        <h3>{recruiterDetails && recruiterDetails.companyName}</h3>
+                        <p>Active job listings: <span>{activeJobListingsCount}</span></p>
+                    </div>
+                </div>
+
+                {recruiterDetails &&
+                    <>
+                        <div className="details-wrap-profile">
+                            <h4>About the company</h4>
+                            <p>{recruiterDetails.companyDescription ?
+                                recruiterDetails.companyDescription : "There is no info about this company yet."
+                            }</p>
+                            <p>
+                                <span> <i
+                                    className="fa-solid fa-envelope"></i> {recruiterDetails.contactEmail}</span> • <span>
+                                <i className="fa-solid fa-phone"></i> {recruiterDetails.contactPhoneNumber}</span>
+                                {recruiterDetails.receptionist && <span> • <i
+                                    className="fa-solid fa-user-tie"></i> {recruiterDetails.receptionist}</span>}
+                            </p>
+                        </div>
+                    </>
+                }
+
+                {/*<div className="line-separator"></div>*/}
+
+                {/*<div className="head-dashboard-box">*/}
+                {/*    <div className="row">*/}
+                {/*        <div className="col-md-12 filter-container">*/}
+                {/*            <div className="search-container">*/}
+                {/*                <i className="fa-solid fa-magnifying-glass search-icon"></i>*/}
+                {/*                <input*/}
+                {/*                    className="search-input"*/}
+                {/*                    type="text"*/}
+                {/*                    placeholder="Search job advertisement by title..."*/}
+                {/*                    value={searchTerm}*/}
+                {/*                    onChange={event => setSearchTerm(event.target.value)}*/}
+                {/*                />*/}
+                {/*            </div>*/}
+                {/*            <div className="sort-section item">*/}
+                {/*                <Select*/}
+                {/*                    defaultValue={{value: "all", label: "All industries"}}*/}
+                {/*                    value={selectedIndustry.value}*/}
+                {/*                    onChange={option => setSelectedIndustry(option.value)}*/}
+                {/*                    options={industryOptionsFilter}*/}
+                {/*                    className="sort-range sort"*/}
+                {/*                />*/}
+                {/*            </div>*/}
+                {/*            <div className="sort-section item">*/}
+                {/*                <Select*/}
+                {/*                    defaultValue={{value: "newest", label: "Date (Newest First)"}}*/}
+                {/*                    value={selectedSortOrder.value}*/}
+                {/*                    onChange={option => setSelectedSortOrder(option.value)}*/}
+                {/*                    options={sortOptions}*/}
+                {/*                    className="sort-range sort"*/}
+                {/*                />*/}
+                {/*            </div>*/}
+                {/*            <button onClick={filterJobAdvertisements} className="btn-open-modal">Find jobs</button>*/}
+                {/*        </div>*/}
+                {/*    </div>*/}
+                {/*</div>*/}
+                <div className="row row-cols-1 row-cols-md-4 g-4">
+
+                    {jobAdvertisementsByRecruiter && jobAdvertisementsByRecruiter.map((jobAd, index) => (
+                        <div key={index} className="col">
+                            <div className="custom-card hub-card">
+                                <div className="card-head">
+                                    <span className="hourly-salary"><b>${jobAd.startingSalary}/hr</b></span>
+                                    <span
+                                        className="job-type"> {jobAd.jobType === JobType.JOB ? "Job" : "Internship"}</span>
+                                    {!jobAd.active && <span className="expired">Expired</span>}
+                                </div>
+                                <div className="card-body">
+                                    <h5 className="card-title">{jobAd.title}</h5>
+                                    <span>{jobAd.industry} • <span style={{
+                                        color: "black", fontWeight: "bold"
+                                    }}>{formatRelativeTime(jobAd.postedOn)}</span></span>
+                                    <div className="card-info">
+                                        <span><i className="fa-solid fa-building"
+                                                 style={{color: "#000000"}}></i> Company: <span style={{
+                                            color: "black", fontWeight: "bold"
+                                        }}>{jobAd.recruiterName}</span></span> <br/>
+                                    </div>
+
+                                </div>
+                                <div className="card-foot">
+                                    <Link to={`/job-advertisements/${jobAd.id}`} className="card-button">Read
+                                        more</Link>
+                                </div>
+                            </div>
+                        </div>))}
+
+                </div>
+
+
+            </div>
+        </div>
+
+    )
+}
Index: jobvista-frontend/src/views/static/AboutUs.js
===================================================================
--- jobvista-frontend/src/views/static/AboutUs.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/static/AboutUs.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,92 @@
+import "./AboutUs.css"
+export const AboutUs = () => {
+
+    return (
+        <div className="container">
+            <div className="about-wrap">
+                <div className="row">
+                    <div className="col-md-6">
+                        <div className="floating-wrap">
+                            <h4>Your Future, Our Mission</h4>
+                            <p>
+                                At Job Vista, we believe that finding the right job should be simple, efficient, and rewarding. Our mission is to connect talented individuals with their dream careers while helping companies discover the best candidates to join their teams.
+                            </p>
+
+
+                        </div>
+                        <div className="floating-wrap">
+                             <h4>How It Started</h4>
+                            <p>
+                                Founded in 2024, Job Vista was born out of a passion for transforming the job search experience. The idea for Job Vista originated as a university project, where a group of us noticed that the job market was becoming increasingly complex, with both job seekers and employers facing numerous challenges in finding the perfect match. Inspired by the potential to make a real difference, we decided to turn our project into a full-fledged platform. Our goal was to create an app that simplifies this process, making it easier for everyone involved.
+                            </p>
+
+                            <h4>What We Offer</h4>
+
+                            <p><span className="start-title">Job Seekers </span>
+                                can browse through thousands of job opportunities from various industries, all in one place. Enjoy an easy application process where you can apply for jobs with just a few clicks and track your applications seamlessly. Receive personalized job alerts about openings that match your skills and interests. Additionally, access a wealth of career resources, including articles, tips, and tools to help you prepare for interviews, improve your resume, and advance your career.</p>
+                            <p>
+                                <span className="start-title">Recruiters </span>
+                                can post job openings and manage applications with our user-friendly interface, ensuring efficient recruitment. Find the best talent using our advanced search and filtering tools to discover candidates that fit your requirements. Enhance your brand visibility by showcasing your company and attracting top talent with a detailed company profile.
+                            </p>
+
+                            {/*<h4>*/}
+                            {/*    Our Vision*/}
+                            {/*</h4>*/}
+                            {/*<p>*/}
+                            {/*    We envision a world where job seekers and employers can effortlessly connect, leading to fulfilling careers and successful businesses. By leveraging technology and innovation, Job Vista aims to be the go-to platform for job hunting and recruitment.*/}
+                            {/*</p>*/}
+                        </div>
+                    </div>
+                    <div className="col-md-6">
+
+
+                        <div className="row">
+                            <img className="about-us-img" src="/images/about-us.jpg" alt=""/>
+                        </div>
+                        <div className="row">
+                            <div className="floating-wrap">
+                                {/*<h4>*/}
+                                {/*    Join Us*/}
+                                {/*</h4>*/}
+
+                                {/*<p>*/}
+                                {/*    Whether you're looking for your next job opportunity or searching for the perfect candidate, Job Vista is here to support you every step of the way. Join our community today and take the next step towards a brighter future.*/}
+                                {/*</p>*/}
+                                <div className="row">
+                                    <div className="col-md-6">
+                                        <div className="floating-inside-wrap">
+                                            <h2>120</h2>
+                                            <p>Total Recruiters</p>
+                                        </div>
+                                    </div>
+                                    <div className="col-md-6">
+                                        <div className="floating-inside-wrap">
+                                            <h2>2400+</h2>
+                                            <p>Total Job Seekers</p>
+                                        </div>
+                                    </div>
+                                </div>
+                                <div className="row">
+                                    <div className="col-md-6">
+                                        <div className="floating-inside-wrap">
+                                            <h2>240</h2>
+                                            <p>Total Job Listings</p>
+                                        </div>
+                                    </div>
+                                    <div className="col-md-6">
+                                        <div className="floating-inside-wrap">
+                                            <h2>4000+</h2>
+                                            <p>Total Applications</p>
+                                        </div>
+                                    </div>
+                                </div>
+                            </div>
+                        </div>
+                    </div>
+
+                </div>
+            </div>
+
+        </div>
+    )
+}
Index: jobvista-frontend/src/views/static/Loading.js
===================================================================
--- jobvista-frontend/src/views/static/Loading.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/static/Loading.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,12 @@
+import "./Loading.css"
+
+export const Loading = () => {
+    return (
+        <div className="loading-container">
+            <div className="loading-logo"></div>
+            <div className="loading-brand-name"></div>
+
+            {/*<div className="loading-signature"></div>*/}
+        </div>
+    )
+}
